package com.emato.ich.api;

import android.view.View;

import com.emato.ich.entity.vo.ResponseData;
import com.google.android.material.snackbar.Snackbar;

import java.util.Arrays;

public enum ICSPResponseCodeEnum {

    OK("0", ""),
    SYSTEM_ERROR("50000", "系统异常"),
    FILED_VALID_FAILED("50001", "参数校验失败"),
    DELIVERER_AUTH("50003", "需要登录快递员操作才能操作"),
    CABINET_NOT_FOUND("50004", "机柜信息不存在"),
    DELIVERER_NOT_FOUND("50005", "投递员信息不存在"),
    CABINET_LOCKER_NOT_AVAILABLE("50006", "暂无可用柜门"),
    ORDER_NOT_FOUND("50007", "订单号不存在"),
    PICK_UP_NOT_FOUND("50008", "取货码不存在");
    ;

    public static void responseHint(View view, ResponseData responseData){
        Arrays.stream(ICSPResponseCodeEnum.values()).forEach(icspResponseCodeEnum -> {
            if (responseData != null && !responseData.getCode().equals(ICSPResponseCodeEnum.OK.getCode()) && responseData.getCode().equals(icspResponseCodeEnum.getCode())) {
                Snackbar.make(view, icspResponseCodeEnum.getMsg(), Snackbar.LENGTH_LONG).show();
            }
        });
    }

    private String code;

    private String msg;

    ICSPResponseCodeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
